reverted:
--- dosfstools-2.11/dosfsck/CVS/Repository
+++ dosfstools-2.11.orig/dosfsck/CVS/Repository
@@ -1 +0,0 @@
-dosfstools/dosfsck
reverted:
--- dosfstools-2.11/dosfsck/CVS/Root
+++ dosfstools-2.11.orig/dosfsck/CVS/Root
@@ -1 +0,0 @@
-:pserver:rnhodek@cvs.linux-m68k.org:/CVS
reverted:
--- dosfstools-2.11/dosfsck/CVS/Entries
+++ dosfstools-2.11.orig/dosfsck/CVS/Entries
@@ -1,23 +0,0 @@
-/.cvsignore/1.1/Sun May  3 17:33:47 1998//
-/CHANGES/1.1.1.1/Wed Jun 18 10:09:38 1997/-ko/
-/COPYING/1.1/Tue Jun  8 07:10:35 1999//
-/Makefile/1.7/Tue Jul  6 14:23:11 1999/-ko/
-/boot.h/1.1.1.1/Wed Jun 18 10:09:38 1997/-ko/
-/check.h/1.3/Thu May 14 13:12:42 1998/-ko/
-/fat.h/1.6/Fri Jul  2 12:58:17 1999/-ko/
-/common.c/1.5/Thu May 15 18:39:16 2003/-ko/
-/fat.c/1.25/Sat Jun 14 20:03:20 2003/-ko/
-/file.h/1.2/Sat Jun 14 20:03:20 2003/-ko/
-/common.h/1.3/Wed Feb 25 09:07:01 2004/-ko/
-/file.c/1.8/Wed Feb 25 09:07:38 2004/-ko/
-/dosfsck.c/1.18/Wed Feb 25 19:28:57 2004/-ko/
-/README/1.5/Wed Feb 25 19:42:24 2004/-ko/
-/check.c/1.28/Sat Mar 12 15:08:43 2005/-ko/
-/dosfsck.8/1.10/Sat Mar 12 16:16:10 2005/-ko/
-/dosfsck.h/1.20/Sat Mar 12 14:23:12 2005/-ko/
-/io.c/1.14/Sat Mar 12 15:33:58 2005/-ko/
-/io.h/1.6/Sat Mar 12 14:04:07 2005/-ko/
-/lfn.c/1.3/Sat Mar 12 15:05:44 2005//
-/lfn.h/1.2/Sat Mar 12 15:02:00 2005//
-/boot.c/1.27/Sat Mar 12 14:16:22 2005/-ko/
-D
reverted:
--- dosfstools-2.11/mkdosfs/CVS/Repository
+++ dosfstools-2.11.orig/mkdosfs/CVS/Repository
@@ -1 +0,0 @@
-dosfstools/mkdosfs
reverted:
--- dosfstools-2.11/mkdosfs/CVS/Root
+++ dosfstools-2.11.orig/mkdosfs/CVS/Root
@@ -1 +0,0 @@
-:pserver:rnhodek@cvs.linux-m68k.org:/CVS
reverted:
--- dosfstools-2.11/mkdosfs/CVS/Entries
+++ dosfstools-2.11.orig/mkdosfs/CVS/Entries
@@ -1,10 +0,0 @@
-/.cvsignore/1.1/Sun May  3 17:33:22 1998//
-/ANNOUNCE/1.1.1.1/Wed Jun 18 10:09:38 1997/-ko/
-/COPYING/1.1.1.1/Wed Jun 18 10:09:38 1997/-ko/
-/ChangeLog/1.1.1.1/Wed Jun 18 10:09:38 1997/-ko/
-/Makefile/1.4/Tue Jul  6 14:23:32 1999/-ko/
-/mkdosfs-ygg-0.3b.lsm/1.1.1.1/Wed Jun 18 10:09:38 1997/-ko/
-/mkdosfs.8/1.12/Wed Feb 25 19:36:07 2004/-ko/
-/README/1.4/Wed Feb 25 19:43:23 2004/-ko/
-/mkdosfs.c/1.39/Sat Mar 12 16:12:16 2005/-ko/
-D
reverted:
--- dosfstools-2.11/CVS/Repository
+++ dosfstools-2.11.orig/CVS/Repository
@@ -1 +0,0 @@
-dosfstools
reverted:
--- dosfstools-2.11/CVS/Root
+++ dosfstools-2.11.orig/CVS/Root
@@ -1 +0,0 @@
-:pserver:rnhodek@cvs.linux-m68k.org:/CVS
reverted:
--- dosfstools-2.11/CVS/Entries
+++ dosfstools-2.11.orig/CVS/Entries
@@ -1,8 +0,0 @@
-/README.Atari/1.1.1.1/Fri Apr 30 13:37:55 1999/-ko/
-D/debian////
-D/dosfsck////
-D/mkdosfs////
-/TODO/1.12/Mon Sep 22 18:56:40 2003//
-/CHANGES/1.23/Sat Mar 12 16:13:02 2005/-ko/
-/Makefile/1.7/Sat Mar 12 14:07:01 2005/-ko/
-/version.h/1.12/Sat Mar 12 16:31:03 2005/-ko/
diff -u dosfstools-2.11/debian/changelog dosfstools-2.11/debian/changelog
--- dosfstools-2.11/debian/changelog
+++ dosfstools-2.11/debian/changelog
@@ -1,3 +1,13 @@
+dosfstools (2.11-2.3) unstable; urgency=low
+
+  * NMU
+  * dpkg --print-gnu-build-architecture is gone, use dpkg-architecture
+    instead. Closes: #407192
+  * Fixed errors in the mkdosfs manpage that could cause confusion to
+    readers, Thanks to Onno Benschop. Closes: #433561 (LP: #126121)
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 10 Sep 2007 15:57:36 -0400
+
 dosfstools (2.11-2.2) unstable; urgency=low
 
   * Non-maintainer upload.
diff -u dosfstools-2.11/debian/rules dosfstools-2.11/debian/rules
--- dosfstools-2.11/debian/rules
+++ dosfstools-2.11/debian/rules
@@ -19,9 +19,9 @@
 docdir=$(tmpdir)/usr/share/doc/dosfstools
 mandir=$(tmpdir)/usr/share/man
 oldmandir=$(tmpdir)/usr/man
-ARCH = $(shell dpkg --print-gnu-build-architecture)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-ifeq ($(ARCH),alpha)
+ifeq ($(DEB_HOST_ARCH),alpha)
 OPTFLAGS="-fomit-frame-pointer -fno-strict-aliasing $(shell getconf LFS_CFLAGS)"
 else
 OPTFLAGS="-O2 -fomit-frame-pointer $(shell getconf LFS_CFLAGS)"
reverted:
--- dosfstools-2.11/debian/CVS/Repository
+++ dosfstools-2.11.orig/debian/CVS/Repository
@@ -1 +0,0 @@
-dosfstools/debian
reverted:
--- dosfstools-2.11/debian/CVS/Root
+++ dosfstools-2.11.orig/debian/CVS/Root
@@ -1 +0,0 @@
-:pserver:rnhodek@cvs.linux-m68k.org:/CVS
reverted:
--- dosfstools-2.11/debian/CVS/Entries
+++ dosfstools-2.11.orig/debian/CVS/Entries
@@ -1,6 +0,0 @@
-/README.Atari/1.1/Wed Apr 28 10:18:31 1999//
-/copyright/1.7/Fri Jul  2 13:04:21 1999//
-/control/1.9/Thu May 15 18:53:10 2003//
-/changelog/1.29/Sun Apr  3 11:57:27 2005//
-/rules/1.12/Sun Apr  3 11:47:20 2005//
-D
only in patch2:
unchanged:
--- dosfstools-2.11.orig/mkdosfs/mkdosfs.8
+++ dosfstools-2.11/mkdosfs/mkdosfs.8
@@ -79,19 +79,19 @@
 .I block-count
 is the number of blocks on the device.  If omitted,
 .B mkdosfs
-automatically determiness the file system size.
+automatically determines the file system size.
 .SH OPTIONS
 .TP
 .B \-A
-Use Atari variation of the MS-DOS filesystem. This is default if
+Use Atari variation of the MS-DOS file system. This is default if
 \fBmkdosfs\fP is run on an Atari, then this option turns off Atari
 format. There are some differences when using Atari format: If not
 directed otherwise by the user, \fBmkdosfs\fP will always use 2
 sectors per cluster, since GEMDOS doesn't like other values very much.
 It will also obey the maximum number of sectors GEMDOS can handle.
-Larger filesystems are managed by raising the logical sector size.
+Larger file systems are managed by raising the logical sector size.
 Under Atari format, an Atari-compatible serial number for the
-filesystem is generated, and a 12 bit FAT is used only for filesystems
+file system is generated, and a 12 bit FAT is used only for file systems
 that have one of the usual floppy sizes (720k, 1.2M, 1.44M, 2.88M), a
 16 bit FAT otherwise. This can be overridden with the \fB\-F\fP
 option. Some PC-specific boot sector fields aren't written, and a boot
@@ -126,7 +126,7 @@
 .BI \-F " FAT-size"
 Specifies the type of file allocation tables used (12, 16 or 32 bit).
 If nothing is specified, \fBmkdosfs\fR will automatically select
-between 12 and 16 bit, whatever fits better for the filesystem size.
+between 12 and 16 bit, whatever fits better for the file system size.
 32 bit FAT (FAT32 format) must (still) be selected explicitly if you
 want it.
 .TP
@@ -137,17 +137,17 @@
 \'0\' if no value is given on the command line.
 .TP
 .I \-i " volume-id"
-Sets the volume ID of the newly created filesystem;
+Sets the volume ID of the newly created file system;
 .I volume-id
 is a 32-bit hexadecimal number (for example, 2e24ec82).  The default
-is a number which depends on the filesystem creation time.
+is a number which depends on the file system creation time.
 .TP
 .B \-I
 Normally you are not allowed to use any 'full' fixed disk devices.
 .B mkdosfs
 will complain and tell you that it refuses to work.  This is different
-when usind MO disks.  One doesn't always need partitions on MO disks.
-The filesytem can go directly to the whole disk.  Under other OSes
+when using MO disks.  One doesn't always need partitions on MO disks.
+The file system can go directly to the whole disk.  Under other OSes
 this is known as the 'superfloppy' format.
 
 This switch will force
@@ -159,14 +159,14 @@
 .IR filename .
 .TP
 .BI \-m " message-file"
-Sets the message the user receives on attempts to boot this filesystem
+Sets the message the user receives on attempts to boot this file system
 without having properly installed an operating system.  The message
 file must not exceed 418 bytes once line feeds have been converted to
 carriage return-line feed combinations, and tabs have been expanded.
 If the filename is a hyphen (-), the text is taken from standard input. 
 .TP
 .BI \-n " volume-name"
-Sets the volume name (label) of the filesystem.  The volume name can
+Sets the volume name (label) of the file system.  The volume name can
 be up to 11 characters long.  The default is no label.
 .TP
 .BI \-r " root-dir-entries"
@@ -174,7 +174,7 @@
 default is 112 or 224 for floppies and 512 for hard disks.
 .TP
 .BI \-R " number-of-reserved-sectors "
-Select the number of reserved sectos. With FAT32 format at least 2
+Select the number of reserved sectors. With FAT32 format at least 2
 reserved sectors are needed, the default is 32. Otherwise the default
 is 1 (only the boot sector).
 .TP
@@ -191,7 +191,7 @@
 Verbose execution.
 .SH BUGS
 .B mkdosfs
-can not create bootable filesystems. This isn't as easy as you might
+can not create boot-able file systems. This isn't as easy as you might
 think at first glance for various reasons and has been discussed a lot
 already.
 .B mkdosfs
